User Guide

RF-320

User Guide

(Version 1.1)

Nov. 2009


Com Port Select

For model ACT-08A-9103 :

Use Com 2.

For model ACT-08A-CX2 :

Use Com 4.

For model ACT-408A-N270 :

Use Com 2 and 5.


Page Definition

ICPEMS WWW

Page Description

Section 1 : "Baud Rate" must be set as "19200".

Section 2 :

Radio Button "Read Block" - Read the "BlockData" from the Mifare Card. (see also Read Block)

Radio Button "Write Block" - Write the "BlockData" into the Mifare Card. (see also Write Block)

Radio Button "Set Mifare Parameter" - Set Parameter of the Mifare Card Reader. (see also Set Mifare Parameter)

Radio Button "G et Mifate Parameter" - Read Parameter of the Mifare Card Reader. (see also Get Mifate Parameter)

Radio Button "Set RF320 Mode" - Set detect type of Card Reader. (see also Set RF320 Mode)

Section 3 : If you want to know detail of the value ,please reference (Read Block , Write Block ,

Set Mifare Parameter , Get Mifare Parameter , Set RF320 Mode).

Section 4 : When error occur, it will display error message (see also Error Code).

Section 5 : When you chose a "Radio Button" and click button "Execute", it will display

input command and return value.

Section 6 : When EM Card was detected, it will display EM Card ID.

Section 7 : When Mifare Card was detected, it will display Mifare Card ID.

Section 8 :

Button "OPEN DOOR" - Relay Digital I/O "DOUT0" set logic high.

Button "Cancel ALARM" - Relay Digital I/O "DOUT1" set logic low.

(see also DIO Protocol & Command )


Command List

Command | Data 1 | Data 2 | Data 3 | Data 4 | Data 5 | END
RB | Block(2) | KEYA/B (1) | KEY (12 Hex) | TimeOut(2) |  | CR (0x0d)
WB | Block(2) | KEYA/B (1) | KEY (12 Hex) | TimeOut(2) | BlockData(32) | CR (0x0d)
SM | Access mode(1) | Block(2) | KEY (12 Hex) |  |  | CR (0x0d)
RM |  |  |  |  |  | CR (0x0d)
SA | mode |  |  |  |  | CR (0x0d)


Command RB

Command RB : Read the "BlockData" from the Mifare Card.

Format :

Command(2) | Block(2) | KEYA/B (1) | KEY (12) | TimeOut(2) | END(1)
RB | 00~63 | A/B | 000000000000 ︴(Hex) FFFFFFFFFFFF | 00~99 (Second) | CR (0x0d)

Response :

Status(2) | BlockData(32) | END (2)
OK | 32 bits (Hex) | CR,LF (0x0d,0x0a)
ER | Error Code (3) | CR,LF (0x0d,0x0a)

Example :

Command :

RB01AFFFFFFFFFFFF05<Enter(CR)>

Response :

OKFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF<CR,LF>


Command WB

Command WB : Write the "BlockData" into the Mifare Card.

Format :

Command(2) | Block(2) | KEYA/B (1) | KEY (12) | TimeOut(2) | BlockData(32) | END(1)
WB | 00~63 | A/B | 000000000000 ︴(Hex) FFFFFFFFFFFF | 00~99 (Second) | 32碼 (Hex) | CR (0x0d)

Response :

Status(2) | Data | END (2)
OK | NULL | CR,LF (0x0d,0x0a)
ER | Error Code (3) | CR,LF (0x0d,0x0a)

Example :

WB01AFFFFFFFFFFFF050102030405060708090A0B0C0D0E0F10<Enter(CR)>

Response :

OK<CR,LF>


Command SM

Command SM : Set Parameter of the Mifare Card Reader.

Format :

Command(2) | Access mode(1) | Block(2) | KEY (12) | END(1)
SM | 0~2 | 00~63 | 000000000000 ︴(Hex) FFFFFFFFFFFF | CR (0x0d)

Description :

Access mode : 0 - Read Serial Number only.( ignore "Block" and "KEY")

1 - Read Serial Number and use "KEYA" read "Block's data".

2 - Read Serial Number and use "KEYB" read "Block's dara".

Response :

Status(2) | Data | END (2)
OK | NULL | CR,LF (0x0d,0x0a)
ER | Error Code (3) | CR,LF (0x0d,0x0a)

Example :

1. SM0<Enter(CR)>

2. SM101FFFFFFFFFFFF<Enter(CR)>

Response :

1.OK<CR,LF>

2.OK<CR,LF>


Command RM

Command RM : Read Parameter of the Mifare Card Reader.

Format :

Command(2) | END(1)
RM | CR (0x0d)

Response :

Status(2) | Data (V) | END (2)
OK | Access mode(1) + Block(2) + Mode (1) | CR,LF (0x0d,0x0a)
ER | Error Code (3) | CR,LF (0x0d,0x0a)

Example :

RM<Enter(CR)>

Response :

OK0XXX<CR,LF>


Command SA

Command SA : Set detect type of Card Reader.

Format :

Command(2) | Mode(1) | END(1)
SA | 1~3 | CR (0x0d)

Description :

Mode : 1 - Detect EM Card only.

2 - Detect Mifare Card only.

   3 - Detect both EM and Mifare Card.

Response :

Status(2) | Data | END (2)
OK | NULL | CR,LF (0x0d,0x0a)
ER | Error Code (3) | CR,LF (0x0d,0x0a)

Example :

SA1<Enter(CR)>

Response :

OK<CR,LF>


Error Code

ICPEMS WWW

Error Code

Error Code :

Error Code | D escription
001 | Time Out (No Card)
002 | Write faild
003 | Read faild
004 | Data format error
005 | No Command
006 | Key value error
007 | Can't set Key value
008 | When detect type set "1",use RB or WB Command


Output Format of Card Reader

Output Format of Card Reader.

EM Card :

Type | Serial Number | END (2)
ES | 10 bits | CR,LF (0x0d,0x0a)

Mifare Card : Access mode - 0

Type | Serial Number | END (2)
MS | ８bits (Hex) | CR,LF (0x0d,0x0a)

Mifare Card : Access mode - 1,2

Type | Serial Number | Block data | END (2)
MB | ８bits (Hex) | 32 bits (Hex) | CR,LF (0x0d,0x0a)

Example :

EM Card :

ES1234567890<CR,LF>

Mifare Card : Access mode - 0

MSAABBCCDD<CR,LF>

Mifare Card : Access mode - 1,2

MBAABBCCDDFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF<CR,LF>


DIO Protocol&Command

ICPEMS WWW

DIO

Protocol & Command

"For COM5 only "

  Communication Protocol

Ø Commands to MCU and data returned from MCU are conveyed in the following communication format :

Communication Protocol

STX

Length

Command / Data

Checksum

CR

Name

Description

Size

STX

Start of text → 0x02

1

Length

Length of data

Ex： 1 byte is 0x01

2 bytes is 0x02

1

Command

Command

1

Data

returned data

0 ~ 16

Checksum

Checksum = (STX＋Length＋Command＋Data) MOD 0x100

1

CR

Carriage return -> 0x0D

1

Command List

AP send to MCU:

Command | Description | Return bytes
0x01 | Card Verify OK | None
0x03 | Card Verify Error | None
0x05 | Open Door | None
0x06 | Read MCU Firmware Version | 1 byte
0x07 | No Alarm | None

MCU send to AP:

Command | Description | Return bytes
0x04 | Alarm | None

Description

1. Upon receiving command "Card Verify OK" ,

MCU enables "Reader LED Output for Valid Card" and

disables "Reader LED Output for Invalid Card" .

2. Upon receiving command "Card Verify Error" ,

MCU disables "Reader LED Output for Valid Card" and

enables "Reader LED Output for Invalid Card" .

3. When "Digital Signal Input-2" is enabled,

MCU enables "Relay Output-2" and buzzer function,

MCU sends command "Alarm " to AP .

4. Upon receiving command " Open Door ",

MCU enables "Relay Output-1" .

5. Upon receiving command " MCU Firmware Version " ,

MCU return value of firmware version .

6. Upon receiving command " No Alarm " ,

MCU disables "Relay Output-2" .

7. When "Digital Signal Input-1" is enabled or

"Digital Signal Input-3" is enabled ,

MCU auto enables "Relay Output-1" .

8. After enabling "Relay Output-1" for 10 seconds ,

MCU auto disables "Relay Output-1".

Example

A.

AP SEND MCU Card Verify OK Command:

AP -> MCU:

Command : <02><01><01><04><0D>

STX : 0x02 Lengh : 0x01 Command : 0x01 CR : 0x0D

Checksum : ( 0x02 + 0x01 + 0x01 ) MOD 0x100 = 0x04

B.

AP SEND MCU Read Firmware Version Command:

AP -> MCU:

Command : <02><01><42><45><0D>

STX : 0x02 Lengh : 0x01 Command : 0x42 CR : 0x0D

Checksum : ( 0x02 + 0x01 + 0x42 ) MOD 0x100 = 0x45

MCU -> AP :
Command : <02><01><42><10><56><0D>

STX : 0x02 Lengh : 0x01 Command : 0x42 Data : 0x10 CR : 0x0D

Checksum : ( 0x02 + 0x01 + 0x42 + 0x10 ) MOD 0x100 = 0x56

Return Value : 0x10 (V1.0)